Loading...
Searching...
No Matches
rheolef::prism

## Variables

const size_t | dimension = 3
const Float | measure = 1
const size_t | n_vertex = 6
const point | vertex [n_vertex]
const size_t | n_face = 5
const size_t | face [n_face][4]
const size_t | n_edge = 9
const size_t | edge [n_edge][2]

## Variable Documentation

## dimension

const size_t dimension = 3

Definition at line 76 of file reference_element.cc.

## measure

const Float measure = 1

Definition at line 77 of file reference_element.cc.

## n_vertex

const size_t n_vertex = 6

Definition at line 78 of file reference_element.cc.

## vertex

const point vertex[n_vertex]

Initial value:
= {
point( 0, 0,-1 ),
point( 1, 0,-1 ),
point( 0, 1,-1 ),
point( 0, 0, 1 ),
point( 1, 0, 1 ),
point( 0, 1, 1 ) }
point
see the point page for the full documentation

Definition at line 79 of file reference_element.cc.

## n_face

const size_t n_face = 5

Definition at line 86 of file reference_element.cc.

## face

const size_t face[n_face][4]

Initial value:
= {
{ 0, 2, 1, size_t(-1) },
{ 3, 4, 5, size_t(-1) },
{ 0, 1, 4, 3 },
{ 1, 2, 5, 4 },
{ 0, 3, 5, 2 } }

Definition at line 87 of file reference_element.cc.

## n_edge

const size_t n_edge = 9

Definition at line 93 of file reference_element.cc.

## edge

const size_t edge[n_edge][2]

Initial value:
= {
{ 0, 1 },
{ 1, 2 },
{ 2, 0 },
{ 0, 3 },
{ 1, 4 },
{ 2, 5 },
{ 3, 4 },
{ 4, 5 },
{ 5, 3 } }

Definition at line 94 of file reference_element.cc.